<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@00D6=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@A18E</action>
      <action>temp1 =maincpu.mb@A57E</action>
      <action>temp2 =maincpu.mb@BB7A</action>
      <action>temp3 =maincpu.mw@BC6E</action>
    </script>
    <script state="run">
      <action>maincpu.mb@A18E=AD</action>
      <action>maincpu.mb@A57E=60</action> <!-- Pt 1 Scenery, Pt 2 Star -->
      <action>maincpu.mb@BB7A=60</action> <!-- Moving Ships -->
      <action>maincpu.mw@BC6E=1790</action> <!-- Bullets -->
    </script>
    <script state="off">
      <action>maincpu.mb@A18E=temp0 </action>
      <action>maincpu.mb@A57E=temp1 </action>
      <action>maincpu.mb@BB7A=temp2 </action>
      <action>maincpu.mw@BC6E=temp3 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0035=00|(maincpu.pb@0035 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire">
    <script state="run">
      <action>maincpu.pb@001D=02|(maincpu.pb@001D BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0042=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel PL1">
    <script state="run">
      <action>maincpu.pd@0168=00990099|(maincpu.pd@0168 BAND ~00FF00FF)</action>
      <action>maincpu.pb@016C=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0043=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel PL2">
    <script state="run">
      <action>maincpu.pd@0169=00990099|(maincpu.pd@0169 BAND ~00FF00FF)</action>
      <action>maincpu.pb@016D=99</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
